%define base_name	kde-icons
%define theme_name	noia
%define version		1.00
%define name		%{base_name}-%{theme_name}
%define release		1plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Noia icon for KDE Desktop
License:	LGPL
Group:		Graphical desktop/KDE
Source:		%{theme_name}-%{base_name}-%{version}.tar.bz2
URL:		http://www.deviantart.com/view/1255847/
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Provides:  kdemoreartwork-noia
Obsoletes: kdemoreartwork-noia

%description
The noia icons for KDE.
This is in PLF because it contain some icons which may violates
patent
%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}

%build

%install
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/16x16
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/32x32
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/48x48
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/64x64
install -d -m 755 %buildroot%{_iconsdir}/%{theme_name}/128x128
cp -fr * %buildroot%{_iconsdir}/%{theme_name}/
cp -f 16x16/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/menuk-mdk.png
cp -f 16x16/apps/xmms.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/amarok.png
cp -f 16x16/apps/background.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/desktop-mdk.png
cp -f 16x16/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/16x16/apps/home-mdk.png
cp -f 32x32/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/menuk-mdk.png
cp -f 32x32/apps/background.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/desktop-mdk.png
cp -f 32x32/apps/xmms.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/amarok.png
cp -f 32x32/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/32x32/apps/home-mdk.png
cp -f 48x48/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/menuk-mdk.png
cp -f 48x48/apps/xmms.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/amarok.png
cp -f 48x48/apps/background.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/desktop-mdk.png
cp -f 48x48/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/48x48/apps/home-mdk.png
cp -f 64x64/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/menuk-mdk.png
cp -f 64x64/apps/xmms.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/amarok.png
cp -f 64x64/apps/background.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/desktop-mdk.png
cp -f 64x64/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/64x64/apps/home-mdk.png
cp -f 128x128/apps/kmenu.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/menuk-mdk.png
cp -f 128x128/apps/kfm_home.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/home-mdk.png
cp -f 128x128/apps/xmms.png %buildroot%_iconsdir/%{theme_name}/128x128/apps/amarok.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc changelog gpl.txt license readme
%{_iconsdir}/%{theme_name}/*

%changelog
* Tue Feb 08 2005 Sebastien Savarin <plouf@zarb.org> 1.00-1plf
- 1.0
* Thu Jan 27 2005 Sebastien Savarin <plouf@zarb.org> 0.95-3plf
- Add Provides and Obsolete tag in .spec
* Thu Jan 27 2005 Sebastien Savarin <plouf@zarb.org> 0.95-2plf
-Change theme name rename kmenu.png to menuk-mdk.png kfm_home.png to home-mdk.png
-copy xmms.png to amarok.png
* Wed Aug 28 2003 Laurent Culioli <laurent@pschit.net> 0.95-1plf
- 0.95

* Wed Dec  4 2002 Laurent Culioli <laurent@pschit.net> 0.90-1plf
- initial package
